| hdcp22_tx_dp Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Fields
XHdcp22_Tx_Dp Struct Reference
Overview

The XHdcpTx driver instance data. More...

## Data Fields
XHdcp22_Tx_Dp_Config | Config
| Config. More...
u32 | IsReady
| Is the component ready for usage. More...
u8 | IsReceiverHDCP2Capable
| Is the attached receiver HDCP2 capable. More...
XHdcp22_Tx_DdcHandler | DdcRead
| Function pointer for reading DDC (Rx HDCP DeviceAddress: 0x74) using the XHdcp22_Tx_Ddc stucture as parameter. More...
u8 | IsDdcReadSet
| Set if DdcRead handler is defined. More...
XHdcp22_Tx_DdcHandler | DdcWrite
| Function pointer for writing DDC (Rx HDCP DeviceAddress: 0x74) using the XHdcp22_Tx_Ddc stucture as parameter. More...
u8 | IsDdcWriteSet
| Set if DdcWrite handler is defined. More...
void * | DdcHandlerRef
| Reference pointer set with XHdcp22Tx_Dp_SetCallback function. More...
XHdcp22_Tx_Dp_Callback | AuthenticatedCallback
| Function pointer called after successful authentication. More...
u8 | IsAuthenticatedCallbackSet
| Set if AuthenticatedCallback handler is defined. More...
XHdcp22_Tx_Dp_Callback | UnauthenticatedCallback
| Function pointer called after authentication failure. More...
u8 | IsUnauthenticatedCallbackSet
| Set if UnauthenticatedCallback handler is defined. More...
XHdcp22_Tx_Dp_Callback | DownstreamTopologyAvailableCallback
| Function pointer called after the downstream topology is available. More...
u8 | IsDownstreamTopologyAvailableCallbackSet
| Set if DownstreamTopologyAvailableCallback handler is defined. More...
Xhdcp22_Tx_Dp_RdWrHandler | TxDpAuxReadCallback
| Function pointer Used to Read DP AUX channel registers (Remote DPCD) More...
void * | TxDpAuxReadCallbackRef
| To be passed to callback function. More...
u8 | IsTxDpAuxReadCallbackSet
| This flag is set true when the callback has been registered. More...
Xhdcp22_Tx_Dp_RdWrHandler | TxDpAuxWriteCallback
| Function pointer Used to Write DP AUX channel registers(Remote DPCD) More...
void * | TxDpAuxWriteCallbackRef
| To be passed to callback function. More...
u8 | IsTxDpAuxWriteCallbackSet
| This flag is set true when the callback has been registered. More...
XHdcp22_Tx_Dp_Timer | Timer
| Internal used timer. More...
XHdcp22_Rng | Rng
| Internal used hardware random number generator. More...
XHdcp22_Cipher_Dp | Cipher
| Internal used cipher. More...
XHdcp22_Tx_Dp_Info | Info
| Info. More...
XHdcp22_Tx_Dp_Log | Log
| Logging. More...
u8 | MessageBuffer [XHDCP22_TX_MAX_MESSAGE_SIZE]
| Message buffer for messages that are sent/received. More...
XHdcp22_Tx_Dp_RevocationList | RevocationList
| Revocation List. More...
XHdcp22_Tx_Dp_Topology | Topology
| Topology info. More...

## Detailed Description

The XHdcpTx driver instance data.

An instance must be allocated for each HDCP TX core in use.

## Field Documentation

XHdcp22_Tx_Dp_Callback XHdcp22_Tx_Dp::AuthenticatedCallback

Function pointer called after successful authentication.

Referenced by XHdcp22Tx_Dp_CfgInitialize(), and XHdcp22Tx_Dp_SetCallback().

XHdcp22_Cipher_Dp XHdcp22_Tx_Dp::Cipher

Internal used cipher.

Referenced by XHdcp22Tx_Dp_Disable(), XHdcp22Tx_Dp_DisableBlank(), XHdcp22Tx_Dp_DisableEncryption(), XHdcp22Tx_Dp_Enable(), XHdcp22Tx_Dp_EnableBlank(), XHdcp22Tx_Dp_EnableEncryption(), XHdcp22Tx_Dp_GetVersion(), XHdcp22Tx_Dp_IsEncryptionEnabled(), XHdcp22Tx_Dp_LoadLc128(), XHdcp22Tx_Dp_Reset(), and XHdcp22Tx_Dp_SetLaneCount().

XHdcp22_Tx_Dp_Config XHdcp22_Tx_Dp::Config

Config.

Referenced by XHdcp22Tx_Dp_CfgInitialize(), XHdcp22Tx_Dp_IsDwnstrmCapable(), XHdcp22Tx_Dp_IsRepeater(), XHdcp22Tx_Dp_RevokeReceiverId(), XHdcp22Tx_Dp_SetHdcp22OverProtocol(), and XHdcp22Tx_Dp_SetRepeater().

void* XHdcp22_Tx_Dp::DdcHandlerRef

Reference pointer set with XHdcp22Tx_Dp_SetCallback function.

Referenced by XHdcp22Tx_Dp_IsDwnstrmCapable(), and XHdcp22Tx_Dp_SetCallback().

XHdcp22_Tx_DdcHandler XHdcp22_Tx_Dp::DdcRead

Function pointer for reading DDC (Rx HDCP DeviceAddress: 0x74) using the XHdcp22_Tx_Ddc stucture as parameter.

Referenced by XHdcp22Tx_Dp_CfgInitialize(), XHdcp22Tx_Dp_IsDwnstrmCapable(), and XHdcp22Tx_Dp_SetCallback().

XHdcp22_Tx_DdcHandler XHdcp22_Tx_Dp::DdcWrite

Function pointer for writing DDC (Rx HDCP DeviceAddress: 0x74) using the XHdcp22_Tx_Ddc stucture as parameter.

Referenced by XHdcp22Tx_Dp_CfgInitialize(), XHdcp22Tx_Dp_IsDwnstrmCapable(), and XHdcp22Tx_Dp_SetCallback().

XHdcp22_Tx_Dp_Callback XHdcp22_Tx_Dp::DownstreamTopologyAvailableCallback

Function pointer called after the downstream topology is available.

Referenced by XHdcp22Tx_Dp_CfgInitialize(), and XHdcp22Tx_Dp_SetCallback().

XHdcp22_Tx_Dp_Info XHdcp22_Tx_Dp::Info

Info.

Referenced by XHdcp22Tx_Dp_Authenticate(), XHdcp22Tx_Dp_CfgInitialize(), XHdcp22Tx_Dp_ClearPairingInfo(), XHdcp22Tx_Dp_Disable(), XHdcp22Tx_Dp_Enable(), XHdcp22Tx_Dp_GetTopology(), XHdcp22Tx_Dp_Handle_Cp_Irq(), XHdcp22Tx_Dp_Info(), XHdcp22Tx_Dp_IsAuthenticated(), XHdcp22Tx_Dp_IsEnabled(), XHdcp22Tx_Dp_IsInProgress(), XHdcp22Tx_Dp_LoadRevocationTable(), XHdcp22Tx_Dp_Poll(), XHdcp22Tx_Dp_Reset(), XHdcp22Tx_Dp_RevokeReceiverId(), XHdcp22Tx_Dp_SetContentStreamType(), XHdcp22Tx_Dp_SetMessagePollingValue(), and XHdcp22Tx_Dp_TimerHandler().

u8 XHdcp22_Tx_Dp::IsAuthenticatedCallbackSet

Set if AuthenticatedCallback handler is defined.

Referenced by XHdcp22Tx_Dp_CfgInitialize(), and XHdcp22Tx_Dp_SetCallback().

u8 XHdcp22_Tx_Dp::IsDdcReadSet

Set if DdcRead handler is defined.

Referenced by XHdcp22Tx_Dp_CfgInitialize(), and XHdcp22Tx_Dp_SetCallback().

u8 XHdcp22_Tx_Dp::IsDdcWriteSet

Set if DdcWrite handler is defined.

Referenced by XHdcp22Tx_Dp_CfgInitialize(), and XHdcp22Tx_Dp_SetCallback().

u8 XHdcp22_Tx_Dp::IsDownstreamTopologyAvailableCallbackSet

Set if DownstreamTopologyAvailableCallback handler is defined.

Referenced by XHdcp22Tx_Dp_CfgInitialize(), and XHdcp22Tx_Dp_SetCallback().

u32 XHdcp22_Tx_Dp::IsReady

Is the component ready for usage.

Referenced by XHdcp22Tx_Dp_CfgInitialize(), and XHdcp22Tx_Dp_TimerHandler().

u8 XHdcp22_Tx_Dp::IsReceiverHDCP2Capable

Is the attached receiver HDCP2 capable.

Referenced by XHdcp22Tx_Dp_IsDwnstrmCapable().

u8 XHdcp22_Tx_Dp::IsTxDpAuxReadCallbackSet

This flag is set true when the callback has been registered.

Referenced by XHdcp22Tx_Dp_SetCallback().

u8 XHdcp22_Tx_Dp::IsTxDpAuxWriteCallbackSet

This flag is set true when the callback has been registered.

Referenced by XHdcp22Tx_Dp_SetCallback().

u8 XHdcp22_Tx_Dp::IsUnauthenticatedCallbackSet

Set if UnauthenticatedCallback handler is defined.

Referenced by XHdcp22Tx_Dp_CfgInitialize(), XHdcp22Tx_Dp_Reset(), and XHdcp22Tx_Dp_SetCallback().

XHdcp22_Tx_Dp_Log XHdcp22_Tx_Dp::Log

Logging.

Referenced by XHdcp22Tx_Dp_LogRd(), XHdcp22Tx_Dp_LogReset(), and XHdcp22Tx_Dp_LogWr().

u8 XHdcp22_Tx_Dp::MessageBuffer[XHDCP22_TX_MAX_MESSAGE_SIZE]

Message buffer for messages that are sent/received.

XHdcp22_Tx_Dp_RevocationList XHdcp22_Tx_Dp::RevocationList

Revocation List.

Referenced by XHdcp22Tx_Dp_CfgInitialize(), and XHdcp22Tx_Dp_GetRevocationReceiverIdList().

XHdcp22_Rng XHdcp22_Tx_Dp::Rng

Internal used hardware random number generator.

Referenced by XHdcp22Tx_GenerateRandom().

XHdcp22_Tx_Dp_Timer XHdcp22_Tx_Dp::Timer

Internal used timer.

Referenced by XHdcp22Tx_Dp_CfgInitialize(), XHdcp22Tx_Dp_Enable(), XHdcp22Tx_Dp_GetTimer(), XHdcp22Tx_Dp_LogGetTimeUSecs(), XHdcp22Tx_Dp_LogReset(), XHdcp22Tx_Dp_Reset(), XHdcp22Tx_Dp_timer_attach(), and XHdcp22Tx_Dp_TimerHandler().

XHdcp22_Tx_Dp_Topology XHdcp22_Tx_Dp::Topology

Topology info.

Referenced by XHdcp22Tx_Dp_GetTopology(), XHdcp22Tx_Dp_GetTopologyReceiverIdList(), and XHdcp22Tx_Dp_Info().

Xhdcp22_Tx_Dp_RdWrHandler XHdcp22_Tx_Dp::TxDpAuxReadCallback

Function pointer Used to Read DP AUX channel registers (Remote DPCD)

Referenced by XHdcp22Tx_Dp_Handle_Cp_Irq(), XHdcp22Tx_Dp_IsDwnstrmCapable(), and XHdcp22Tx_Dp_SetCallback().

void* XHdcp22_Tx_Dp::TxDpAuxReadCallbackRef

To be passed to callback function.

Referenced by XHdcp22Tx_Dp_Handle_Cp_Irq(), XHdcp22Tx_Dp_IsDwnstrmCapable(), and XHdcp22Tx_Dp_SetCallback().

Xhdcp22_Tx_Dp_RdWrHandler XHdcp22_Tx_Dp::TxDpAuxWriteCallback

Function pointer Used to Write DP AUX channel registers(Remote DPCD)

Referenced by XHdcp22Tx_Dp_SetCallback().

void* XHdcp22_Tx_Dp::TxDpAuxWriteCallbackRef

To be passed to callback function.

Referenced by XHdcp22Tx_Dp_SetCallback().

XHdcp22_Tx_Dp_Callback XHdcp22_Tx_Dp::UnauthenticatedCallback

Function pointer called after authentication failure.

Referenced by XHdcp22Tx_Dp_CfgInitialize(), XHdcp22Tx_Dp_Reset(), and XHdcp22Tx_Dp_SetCallback().